const navbar = document.querySelector('#stikyNav');
//let top = navbar.offsetTop;
function stickynavbar() {
  if (window.scrollY >= 200) {    
    navbar.classList.add('sticky');
  } else {
    navbar.classList.remove('sticky');    
  }
}
  window.addEventListener('scroll', stickynavbar);


  $('.counter-count').each(function () {
    $(this).prop('Counter',0).animate({
        Counter: $(this).text()
    }, {
        duration: 5000,
        easing: 'swing',
        step: function (now) {
            $(this).text(Math.ceil(now));
        }
    });
});



$(document).ready(function(){
    
    $('#clickTop').hide();
    
    //Check to see if the window is top if not then display button
    
    $(window).scroll(function(){
        if ($(this).scrollTop() > 300) {
            $('#clickTop').fadeIn();
        } else {
            $('#clickTop').fadeOut();
        }
    });
    
    //Click event to scroll to top
    
    $('#clickTop').click(function(){
        $('html, body').animate({scrollTop : 0},500);
        return false;
    });
    
});






$(".Click-here5").on('click', function() {
  $(".custom-model-main5").addClass('model-open');
}); 
$(".close-btn5, .bg-overlay5").click(function(){
  $(".custom-model-main5").removeClass('model-open');
});




$(".Click-here").on('click', function() {
  $(".custom-model-main").addClass('model-open');
}); 
$(".close-btn, .bg-overlay").click(function(){
  $(".custom-model-main").removeClass('model-open');
});


$(".Click-here1").on('click', function() {
  $(".custom-model-main1").addClass('model-open');
}); 
$(".close-btn1, .bg-overlay1").click(function(){
  $(".custom-model-main1").removeClass('model-open');
});


$(".Click-here2").on('click', function() {
  $(".custom-model-main2").addClass('model-open');
}); 
$(".close-btn2, .bg-overlay2").click(function(){
  $(".custom-model-main2").removeClass('model-open');
});


$(".Click-here3").on('click', function() {
  $(".custom-model-main3").addClass('model-open');
}); 
$(".close-btn3, .bg-overlay3").click(function(){
  $(".custom-model-main3").removeClass('model-open');
});

$(".Click-here4").on('click', function() {
  $(".custom-model-main4").addClass('model-open');
}); 
$(".close-btn4, .bg-overlay4").click(function(){
  $(".custom-model-main4").removeClass('model-open');
});








// --------------loader---------------------

// $(window).load(function(){
//     $(".loader").delay('1000').fadeOut('600');
// })


$('#owl-carousel').owlCarousel({
    loop: true,
    margin: 30,
    dots: false,
    nav: false,
    items: 1,
})

$('#owl-carousel_Venue').owlCarousel({
    loop: true,
    margin: 0,
    dots: false,
    nav: false,
    items: 4,
    //  stagePadding: 100,
    autoplay:true,
    autoplayHoverPause:true,
    slideTransition: 'linear',
    autoplayTimeout: 2500,
    autoplaySpeed: 70000,
    loop: true,
    responsive:{
        0:{
            items:2,
           
        },
        767:{
            items:2,
           
        },
        991:{
            items:2,
            
        },
    
        992:{
            items:3,
            
        },
    
        1200:{
            items:3,
            
        },
        
        1366:{
            items:4,
           
        },
        1920:{
            items:4,
            
        }
    }
    
})


$(".burger-menu ").on("click",".bar",function(){
  
    $(".menu").slideToggle();
    $(".bar").toggleClass('change');
    $(".menu li").slideRight();
  
   });




  

// --------------click to top---------------------



$(document).ready(function(){
    
    $('#clickTop').hide();
    
    //Check to see if the window is top if not then display button
    
    $(window).scroll(function(){
        if ($(this).scrollTop() > 300) {
            $('#clickTop').fadeIn();
        } else {
            $('#clickTop').fadeOut();
        }
    });
    
    //Click event to scroll to top
    
    $('#clickTop').click(function(){
        $('html, body').animate({scrollTop : 0},500);
        return false;
    });
    
});


var button = document.getElementById("filter-button");
var container = document.getElementById("filter-container");
var input = document.querySelectorAll("input");

button.onclick = function (e) {
  e.stopPropagation();
  if (container.classList.contains("filters--active")) {
    container.classList.remove("filters--active");
  } else {
    container.classList.add("filters--active");
  }
};

container.onclick = function (e) {
  e.stopPropagation();
};

window.onclick = function () {
  container.classList.remove("filters--active");
};

console.log(input);

for (var i = 0; i < input.length; i++) {
  var currentInput = input[i];

  currentInput.onclick = function () {
    var isChecked = false;
    for (var j = 0; j < input.length; j++) {
      if (input[j].checked) {
        isChecked = true;
        break;
      }
    }

    if (isChecked) {
      button.classList.add("button--highlight");
    } else {
      button.classList.remove("button--highlight");
    }
  };
}


